/*
    ------------------------------
       4DGL - DIABLO PLATFORM
    ------------------------------
    Built in Library Functions for
        uLCD-43DT
    ------------------------------
*/
    #constant ULCD_43DT_DIABLO16_GFX

    #IFNOT EXISTS DIABLO16_GFX2_FUNCTIONS
        #inherit "Diablo16_Functions.fnc"          // inherit the generic functions
    #ENDIF

    #CONST
        //--------------------------------------------------------------------------//
        // SSD1963 Driver Registers
        //--------------------------------------------------------------------------//

         SSD1963_NOP                        0x00
         SSD1963_SOFT_RESET                 0x01
         SSD1963_GET_POWER_MODE             0x0A
         SSD1963_GET_ADDRESS_MODE           0x0B
         SSD1963_GET_DISPLAY_MODE           0x0D
         SSD1963_GET_TEAR_EFFECT_STATUS     0x0E
         SSD1963_ENTER_SLEEP_MODE           0x10
         SSD1963_EXIT_SLEEP_MODE            0x11
         SSD1963_ENTER_PARTIAL_MODE         0x12
         SSD1963_ENTER_NORMAL_MODE          0x13
         SSD1963_EXIT_INVERT_MODE           0x20
         SSD1963_ENTER_INVERT_MODE          0x21
         SSD1963_SET_GAMMA_CURVE            0x26
         SSD1963_SET_DISPLAY_OFF            0x28
         SSD1963_SET_DISPLAY_ON             0x29
         SSD1963_SET_COLUMN_ADDRESS         0x2A
         SSD1963_SET_PAGE_ADDRESS           0x2B
         SSD1963_WRITE_MEMORY_START         0x2C
         SSD1963_READ_MEMORY_START          0x2E
         SSD1963_SET_PARTIAL_AREA           0x30
         SSD1963_SET_SCROLL_AREA            0x33
         SSD1963_SET_TEAR_OFF               0x34
         SSD1963_SET_REAR_ON                0x35
         SSD1963_SET_ADDRESS_MODE           0x36
         SSD1963_SET_SCROLL_START           0x37
         SSD1963_EXIT_IDLE_MODE             0x38
         SSD1963_ENTER_IDLE_MODE            0x39
         SSD1963_WRITE_MEMORY_CONTINUE      0x3C
         SSD1963_READ_MEMORY_CONTINUE       0x3E
         SSD1963_SET_TEAR_SCANLINE          0x44
         SSD1963_GET_SCANLINE               0x45
         SSD1963_READ_DDB                   0xA1
         SSD1963_SET_LCD_MODE               0xB0
         SSD1963_GET_LCD_MODE               0xB1
         SSD1963_SET_HORZ_PERIOD            0xB4
         SSD1963_GET_HORZ_PERIOD            0xB5
         SSD1963_SET_VERT_PERIOD            0xB6
         SSD1963_GET_VERT_PERIOD            0xB7
         SSD1963_SET_GPIO_CONFIG            0xB8
         SSD1963_GET_GPIO_CONFIG            0xB9
         SSD1963_SET_GPIO_VALUE             0xBA
         SSD1963_GET_GPIO_STATUS            0xBB
         SSD1963_SET_POST_PROC              0xBC
         SSD1963_GET_POST_PROC              0xBD
         SSD1963_SET_PWM_CONFIG             0xBE
         SSD1963_GET_PWM_CONFIG             0xBF
         SSD1963_GET_LCD_GEN0               0xC0
         SSD1963_SET_LCD_GEN0               0xC1
         SSD1963_GET_LCD_GEN1               0xC2
         SSD1963_SET_LCD_GEN1               0xC3
         SSD1963_GET_LCD_GEN2               0xC4
         SSD1963_SET_LCD_GEN2               0xC5
         SSD1963_GET_LCD_GEN3               0xC6
         SSD1963_SET_LCD_GEN3               0xC7
         SSD1963_SET_GPIO0_ROP              0xC8
         SSD1963_GET_GPIO0_ROP              0xC9
         SSD1963_SET_GPIO1_ROP              0xCA
         SSD1963_GET_GPIO1_ROP              0xCB
         SSD1963_SET_GPIO2_ROP              0xCC
         SSD1963_GET_GPIO2_ROP              0xCD
         SSD1963_SET_GPIO3_ROP              0xCE
         SSD1963_GET_GPIO3_ROP              0xCF
         SSD1963_SET_DBC_CONF               0xD0
         SSD1963_GET_DBC_CONF               0xD1
         SSD1963_SET_DBC_TH                 0xD4
         SSD1963_GET_DBC_TH                 0xD5
         SSD1963_SET_PLL                    0xE0
         SSD1963_SET_PLL_MN                 0xE2
         SSD1963_GET_PLL_MN                 0xE3
         SSD1963_GET_PLL_STATUS             0xE4
         SSD1963_SET_DEEP_SLEEP             0xE5
         SSD1963_SET_LSHIFT_FREQ            0xE6
         SSD1963_GET_LSHIFT_FREQ            0xE7
         SSD1963_GET_PIXEL_DATA_INTERFACE   0xF1

         //--------------------------------------------------------------------------//
         // uLCD-43D* additional gfx_Set() Commands
         //--------------------------------------------------------------------------//
         DISPLAY_PAGE                        33      // set current display page
         READ_PAGE                           34      // set current reading page
         WRITE_PAGE                          35      // set current writing page

    #END

//===========================================================================================


